=== examples/zxvgs/Makefile ===


all: info


info:
	zcc +zx -Cz+zxvgs -v -s info.c -create-app -lzxvgs

clean:
	rm -f *.bin *.i *.asm *.op* *.o *~ zcc_opt.def
