=== debian/changelog ===
z88dk (1.8.ds1-10) unstable; urgency=low

  [ Krystian Wlosek ]
  * fixed bug with incorrect path in cfg files (Closes: #653110)

 -- Krystian Wlosek <kwlosek@gmail.com>  Tue, 29 May 2012 12:07:24 +0200

z88dk (1.8.ds1-9) unstable; urgency=low

  [ Piotr Roszatycki ]
  * Source package converted to debhelper command sequencer with quilt format.
  * Added patch for "-Werror=format-security" with new GCC.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 27 Oct 2011 16:08:16 +0200

z88dk (1.8.ds1-8) unstable; urgency=low

  [ Krystian Wlosek ]
  * Added Danish defconf translation. (Closes: #625470)
    Patch by Joe Dalton.
  * update po/tempates.pot (change email address)

 -- Krystian Wlosek <kwlosek@gmail.com>  Tue, 10 May 2011 08:57:14 +0100

z88dk (1.8.ds1-7) unstable; urgency=low

  [ Krystian Wlosek ]
  * Apply patch for 64bit architectures. Remove -m32 flag from LDFLAGS.
    (Closes: #570681)
  * Added Spanish defconf translation. (Closes: #578350)
    Patch by Ricardo Fraile.
  * Add z88dk-data as depend in z88dk-bin package.

 -- Krystian Wlosek <kwlosek@gmail.com>  Thu, 22 Apr 2010 15:13:27 +0100

z88dk (1.8.ds1-6) unstable; urgency=high

  [ Krystian Wlosek ]
  * Change maintainer email from tygrys@waw.pdi.net to kwlosek@gmail.com
  * Build-Depends: change freebsd-amd64 to kfreebsd-amd64 (Closes: #537084)
    Thanks to Petr Salinger
  * Fixed FTBFS problem with src/z80asm/z80pass.c (Closes: #552886)
    Added patch debian/patches/05_src_z80asm_z80pass.c.diff
    Thanks to Lucas Nussbaum
  * Bump standards version to 3.8.3. No changes needed.

 -- Krystian Wlosek <kwlosek@gmail.com>  Tue, 01 Dec 2009 22:41:10 +0100

z88dk (1.8.ds1-5) unstable; urgency=low

  [ Krystian Wlosek ]
  * Added Japanese debconf translation. (Closes: #512868)
    Patch by Hideki Yamane.
  * Added Russian debconf translation. (Closes: #514508)
    Patch by Yuri Kozlov.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Tue, 23 Feb 2009 11:10:17 +0100

z88dk (1.8.ds1-4) unstable; urgency=low

  * Fixed problem with CPC binaries (Closes: #475605)
    Added patch debian/patches/02_lib_cpc_crt0.asm.diff

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Thu, 17 Oct 2008 11:45:12 +0200

z88dk (1.8.ds1-3) unstable; urgency=low

  * Added Swedish debconf translation. (Closes: #500127)
    Patch by Martin Bagge.
  * Bump standards version to 3.8.0. Added 'set -e' in config scripts.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Wed, 15 Oct 2008 14:28:51 +0200

z88dk (1.8.ds1-2) unstable; urgency=low

  [ Krystian Wlosek ]
  * Enable 64bit architecture.
  * Added '-m32' switch to CFLAGS and LDFLAGS for 64bit machines.
  * Changed Architecture: to `any' in z88dk and z88dk-bin package.
  * Added gcc-multilib to Build-Depends: for 64bit
  * Fixed problem with x11.lib
    - created symlink from include/x11 to include/X11
    - improved Makefile for x11.lib
      patch debian/patches/03_libsrc_graphics_x11_Makefile.diff
  * Fixed library ozansi.lib
    - patch debian/patches/03_libsrc_oz_ozinput_Makefile.diff
  * Changed Copyright notice.
  * Fixed gcc warnings:
    - in src/appmake dir - debian/patches/04_src_appmake.diff
    - in src/zcc/zcc.c - debian/patches/04_src_zcc_zcc.c.diff

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Tue, 25 Mar 2008 11:46:11 +0100

z88dk (1.8.ds1-1) unstable; urgency=low

  [ Krystian Wlosek ]
  * New upstream release.
  * Added missing arch: armel armeb to z88dk. Thanks to Martin Guy.
    Closes: #469967

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 10 Mar 2008 11:01:25 +0100

z88dk (1.7.ds1-2) unstable; urgency=low

  [ Krystian Wlosek ]
  * Added Dutch debconf translation. (Closes: #449401)
    Patch by Bart 'cobaco' Cornelis.
  * Added missing libraries: malloc.lib, mzx.lib, mzx_tiny.lib
    z88_math.lib and make propper diff files.
    Thanks to Josetxu Malanda.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Wed, 27 Feb 2008 11:56:25 +0100

z88dk (1.7.ds1-1) unstable; urgency=low

  [ Krystian Wlosek ]
  * New upstream release.
    Closes: #438984
  * Added missing colon to close bug 435364

  [ Piotr Roszatycki ]
  * Changed section for z88dk-doc package.
  * Standards-Version: 3.7.3

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 07 Jan 2008 13:35:53 +0100

z88dk (1.6.ds1-7) unstable; urgency=low

  * Added Portuguese debconf translation. (Closes: #434194)
    Thanks to Americo Monteiro.
  * Added armel and armeb to z88dk-bin/Architecture: (Closes: #435364)

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 27 Aug 2007 12:35:28 +0200

z88dk (1.6.ds1-6) unstable; urgency=low

  * Added forgotten Replaces: in z88dk-data.
    Thanks to Mark Robinson <mark@zl2tod.net> (Closes: #423475)

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Tue, 14 May 2007 15:37:20 +0200

z88dk (1.6.ds1-5) unstable; urgency=low

  * New package z88dk-data with non-arch specific files.
  * Added hurd and m68k to z88dk-bin/Architecture.
  * Added German debconf translation. (Closes: #408650)
    Patch by Helge Kreutzmann <debian@helgefjell.de>.
  * Changed Architecture for z88dk from 'all' to this same as in z88dk-bin.
  * Moved files of z88dk-examples to z88dk-doc.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Tue,  8 May 2007 15:37:20 +0200

z88dk (1.6.ds1-4) unstable; urgency=low

  * s390 is 32bit archtecture. Closes: #405013, #405264
    Thanks to Bastian Blank, Steve Langasek.
  * arm already added to z88dk-bin/Architecture:
    Thanks to Steve Langasek.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon,  8 Jan 2007 09:42:21 +0100

z88dk (1.6.ds1-3) unstable; urgency=low

  * Recompile with new yada without templates problems.
  * Added missing arm architecture
  * Added exit in build script when buildd try compile for
    64bit architectures: s390,alpha,amd64,ia64,ppc64 (Closes: #395263)
  * Added Czech debconf translation (Closes: #402985)
    Thanks to Jakub Kasparec.
  * conflict with z80asm package. z88dk-bin overwrite manpage in z80asm
    symlink from z88dk-z80asm.1 to z80asm.1 removed.
    Thanks to Michael Ablassmeier, (Closes: #404012)

