=== debian/control ===
Source: z88dk
Maintainer: Krystian Wlosek <kwlosek@gmail.com>
Uploaders: Piotr Roszatycki <dexter@debian.org>
Section: devel
Priority: extra
Standards-Version: 3.9.2
Build-Depends: po-debconf, debhelper (>= 8.9.7)
Homepage: http://www.z88dk.org/
Vcs-Browser: http://bazaar.launchpad.net/~z88dk-team/z88dk-pkg/sid/files
Vcs-Bzr: lp:z88dk-pkg

Package: z88dk-bin
Architecture: any
Depends: z88dk-data (= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: executable files for z88dk
 z88dk is a Z80 processor cross compiler producing binaries for over
 25 different z80 based machines. This package contains binary files.

Package: z88dk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Provides: z88dk-examples
Conflicts: z88dk-examples
Replaces: z88dk-examples
Description: documentation and examples for z88dk
 This is documentation for z88dk compilers. Also example programs with sources
 are available. See the z88dk package for more details.

Package: z88dk-data
Architecture: all
Depends: ${misc:Depends}
Replaces: z88dk
Description: data files for z88dk
 This package contains any data files needed by z88dk tools.

Package: z88dk
Architecture: any
Depends: z88dk-bin (>= ${source:Version}), z88dk-bin (<< ${source:Version}.1~),
         z88dk-data (= ${source:Version}),
         ${misc:Depends}
Suggests: z88dk-doc, z88dk-examples
Description: Z80 processor assembler and SmallC+ cross compiler
 z88dk is a SmallC+ and Z80 assemler cross compiler supplied with an
 assembler/linker and a set of libraries implementing the C standard library
 for a number of different z80 based machines. The name z88dk originates from
 the time when the project was founded and supported only the Cambridge
 z88 portable.
 .
 Supported machines:
 Cambridge Computers z88, Sinclair ZX Spectrum, Sinclair ZX81, CP/M based
 machines, Amstrad NC100, VZ200/300, Sharp MZ series, TI calculators (TI82,
 TI83, TI83+, TI85, TI86), ABC80, Jupiter Ace, Xircom REX 6000, Peters
 Sprinter, Sam Coupe, MSX1, Spectravideo, Mattel Aquarius, Peters Sprinter,
 and C128 (in z80 mode) machines.
 .
 Features:
  * Small C+ based compiler with structs, floats and other ANSI extensions
  * Module assembler/linker which only includes required library routines
  * Peephole optimizer with rulesets that reduce the size of generated code
    by ~30% and improve speed
  * Easily retargetted C library including stdio routines
  * Retargettable VT100 terminal
  * Support for over a 25 z80 based machines (see below for details)
