=== debian/rules ===
#!/usr/bin/make -f

pwd = $(shell pwd)

%:
	dh $@

override_dh_auto_clean:
	make clean || true
	rm -rf bin usr debian/tmp debian/usr

override_dh_auto_configure:
	rm -rf bin usr
	mkdir -p bin usr
	rm -f include/X11
	ln -s x11 include/X11
	find examples -type f -exec chmod 644 {} \;
	find examples -type d -exec chmod 755 {} \;

override_dh_auto_build-arch:
	make -e prefix=/usr

override_dh_auto_build-indep: override_dh_auto_build-arch
	# create symlink 
	PATH=$(pwd)/bin:$(PATH) Z80_OZFILES=$(pwd)/lib/ ZCCCFG=$(pwd)/lib/config/ make -C $(pwd)/libsrc

override_dh_auto_install-arch:
	make -e prefix=$(pwd)/debian/tmp/usr install
	rm -f debian/tmp/usr/bin/*
	for i in bin/*; do cp $$i debian/tmp/usr/bin/z88dk-$$(basename $$i); done
	mkdir -p debian/tmp/usr/share/man/man1
	rm -f debian/tmp/usr/share/man/man1/*
	for i in debian/manpages/*.1; do cp $$i debian/tmp/usr/share/man/man1/z88dk-$$(basename $$i); done
	rm -f debian/tmp/usr/share/man/man1/z88dk-z88dk.1

override_dh_auto_install-indep: override_dh_auto_install-arch
	make -C $(pwd)/libsrc install
	make prefix=/usr DESTDIR=$(pwd)/debian install
	make -e prefix=$(pwd)/debian/tmp/usr install-libs
	mv -f debian/tmp/usr/lib/z88dk/lib/clibs/* debian/tmp/usr/share/z88dk/lib/clibs
	./config.sh /usr/share/z88dk/ z88
	cp -a lib/config/*.cfg debian/tmp/usr/share/z88dk/lib/config/
	rm -f debian/tmp/usr/share/z88dk/lib/config/zcc.cfg
	rm -f debian/tmp/usr/share/z88dk/lib/config/*.lnx
	for i in debian/tmp/usr/share/z88dk/lib/config/*.cfg; do \
	   mv $$i $$i.tmp; cat $$i.tmp | \
	       sed 's/^Z80EXE.*$$/Z80EXE\t\tz88dk-z80asm/g' | sed 's/^CPP.*$$/CPP\t\tz88dk-zcpp/g' | \
	       sed 's/^LINKER.*$$/LINKER\t\tz88dk-z80asm/g' | sed 's/^COMPILER.*$$/COMPILER\tz88dk-sccz80/g' | \
	       sed 's/^COPTEXE.*$$/COPTEXE\t\tz88dk-copt/g' | sed 's/^APPMAKER.*$$/APPMAKER\tz88dk-appmake/g' > $$i; \
	   rm $$i.tmp; \
	done
