## z88dk 1.8.ds1-9+6.0.1trisquel1

=== debian/changelog ===
z88dk (1.8.ds1-9+6.0.1trisquel1) toutatis; urgency=low

  * Remove unrequired nonfree files

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 24 Jan 2015 23:11:11 +0000
