## z88dk 1.8.ds1-10+7.0trisquel1

=== libsrc/graphics/x11/Makefile ===
#
# Makefile for X-Motif graphics emulation
#
# $Id: Makefile,v 1.2 2008/03/05 20:35:46 dom Exp $

include ../../Make.config

CFILES = \
	blackpixel.c \
	defaultdepth.c \
	defaultscreen.c \
	displayheight.c \
	displaywidth.c \
	rootwindow.c \
	whitepixel.c \
	xchecktypedevent.c \
	xcheckwindowevent.c \
	xclearwindow.c \
	xclosedisplay.c \
	xcreatebitmapfromdata.c \
	xcreategc.c \
	xcreatesimplewindow.c \
	xdestroywindow.c \
	xdisplayname.c \
	xdrawline.c \
	xdrawpoint.c \
	xdrawrectangle.c \
	xdrawstring.c \
	_xfindchar.c \
	xflush.c \
	_xfputc.c \
	xfreegc.c \
	xloadqueryfont.c \
	xmapwindow.c \
	xnextevent.c \
	xopendisplay.c  \
	xselectinput.c \
	xsetdashes.c \
	xsetfont.c \
	xsetforeground.c \
	xsetlineattributes.c \
	xsetstandardproperties.c \
	xtextwidth.c \
	xunloadfont.c 


AFILES  = $(CFILES:.c=.asm)
OBJECTS = $(CFILES:.c=.o)

all: x11lib

x11lib: $(OBJECTS)
	$(LIBLINKER) -x../../x11.lib @x11.lst

.c.o:
	zcc +test $(CFLAGS) $*.c

clean:
	$(RM) *.o* zcc_opt.def
