=== libsrc/oz/ozinput/Makefile ===
#
# Makefile for OZ-7xx specific libraries - ozinput
#
# $Id: Makefile,v 1.3 2008/03/05 20:35:47 dom Exp $

include ../../Make.config

all:	
	zcc +ozansi $(CFLAGS) *.c

clean:
	$(RM) *.o* zcc_opt.def
