=== debian/changelog ===
z88dk (1.8.ds1-10+7.0trisquel1) belenos; urgency=medium

  * Remove unrequired nonfree files

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 24 Jan 2015 23:09:33 +0000
