=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: z88dk
-Maintainer: Krystian Wlosek <kwlosek@gmail.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Piotr Roszatycki <dexter@debian.org>
 Section: devel
 Priority: extra
